import Foundation
import Vision

let classes = [
    "VNDetectFaceRectanglesRequest",
    "VNDetectHumanRectanglesRequest",
    "VNDetectHumanBodyPoseRequest",
    "VNDetectHumanHandPoseRequest",
    "VNClassifyImageRequest",
    "VNRecognizeTextRequest",
    "VNGenerateObjectnessBasedSaliencyImageRequest",
    "VNGenerateAttentionBasedSaliencyImageRequest",
    "VNRecognizeObjectsRequest",
    "VNDetectContoursRequest",
    "VNDetectTrajectoriesRequest",
]
for cname in classes {
    if NSClassFromString(cname) != nil {
        print("\(cname): ✅")
    } else {
        print("\(cname): ❌")
    }
}
